
Katello - Bug #9316

Puppet Environment Deletion allowed even when content view still exists

02/10/2015 05:46 PM - Justin Sherrill

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello Recycle Bin   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently we allow puppet environments to be deleted, even when the content view version still is published into a lifecycle

environment.  We should restrict this.

Related issues:

Related to Katello - Bug #9317: Content View remove/deletion fails Closed 02/10/2015

Is duplicate of Katello - Bug #10460: Prevent puppet environments from being ... Rejected

History

#1 - 02/10/2015 05:46 PM - Justin Sherrill

- translation missing: en.field_release changed from 23 to 33

#2 - 02/10/2015 05:48 PM - Justin Sherrill

- Related to Bug #9317: Content View remove/deletion fails  added

#3 - 02/18/2015 03:14 PM - Justin Sherrill

- translation missing: en.field_release changed from 33 to 23

#4 - 02/26/2015 03:17 PM - Eric Helms

- Target version set to 67

#5 - 03/09/2015 03:36 PM - Eric Helms

- translation missing: en.field_release changed from 23 to 31

#6 - 03/16/2015 07:27 AM - Eric Helms

- Target version changed from 67 to 68

#7 - 04/08/2015 10:56 AM - Eric Helms

- Target version deleted (68)

#8 - 06/10/2015 02:04 PM - Eric Helms

- Status changed from New to Duplicate

- translation missing: en.field_release deleted (31)

#9 - 06/10/2015 02:04 PM - Eric Helms

- Is duplicate of Bug #10460: Prevent puppet environments from being deleted when produced by a content view added

#10 - 07/08/2016 11:23 AM - Eric Helms

- translation missing: en.field_release set to 166
